package com.gfeng.daydaycook.search.adapter

import android.support.v4.app.Fragment
import android.support.v4.app.FragmentManager
import android.support.v4.app.FragmentPagerAdapter

/**
 * Life Is Better With DayDayCook
 * author: HuangQiang
 * created on: 2019/4/16 14:07.
 * description:
 */
class SearchResultPagerAdapter(fm: FragmentManager, private val fragmentArray: Array<Fragment>, private val titleTextArray: Array<String>) : FragmentPagerAdapter(fm) {

    override fun getItem(position: Int): Fragment {
        return fragmentArray[position]
    }

    override fun getCount(): Int {
        return fragmentArray.size
    }

    override fun getPageTitle(position: Int): CharSequence? {
        return titleTextArray[position]
    }

}