package com.gfeng.daydaycook.search.entity

data class SearchContentModel(
        var code: String, // 0
        var data: List<Data>,
        var message: String) {

    data class Data(
            var businessCategoryId: String, // 2
            var collectCount: Int, // 0
            var contentDetailList: List<Any>,
            var contentFoodList: List<Any>,
            var coverImage: String, // https://xiaochengxu-t.daydaycook.com.cn/aca9dd76-f067-2cd1-956d-84518a90dfb9.jpg
            var createTime: Any, // null
            var deleted: Int, // 0
            var header: String, // https://xiaochengxu-t.daydaycook.com.cn/gm.png
            var id: String, // 1734
            var isCollected: Int, // 0
            var isLike: Int, // 0
            var isSelf: Int, // 0
            var lastUpdateTime: Any, // null
            var likeCount: Int, // 0
            var nickName: String, // 日日煮锅妹
            var readCount: Int, // 1
            var releaseDate: Long, // 1540861200000
            var screenMode: Int, // 1
            var skuList: List<Any>,
            var smallPic: String, // https://xiaochengxu-t.daydaycook.com.cn/aca9dd76-f067-2cd1-956d-84518a90dfb9.jpg
            var state: Int, // 1
            var summary: String, // 花生酱的浓郁香气，即使是不爱吃辅食的宝宝也会轻易爱上。今天分享一道用花生酱搭配土豆、配方奶（牛奶）等食材，做一道快手小饼。松软的口感加上浓浓的香味，绝对会让大小宝宝都爱不释手。作者：拾味爸爸 微信号：shiweipapa
            var tagIdList: List<Any>,
            var tagList: List<Any>,
            var title: String, // 土豆花生酱松饼
            var type: Int, // 1
            var userInfo: Any, // null
            var userRelation: Any, // null
            var video: String?, // https://xiaochengxu-v-t.daydaycook.com.cn/586840e9-ac2f-e578-614c-02136bcadfae.mp4
            var videoDuration: Int // 80
    )
}