package com.gfeng.daydaycook.logic

import android.content.Context
import com.bumptech.glide.Glide
import com.bumptech.glide.GlideBuilder
import com.bumptech.glide.Registry
import com.bumptech.glide.load.engine.cache.DiskCache
import com.bumptech.glide.load.engine.cache.DiskLruCacheFactory
import com.bumptech.glide.module.GlideModule
import com.gfeng.daydaycook.comm.Comm
import com.gfeng.daydaycook.util.LogUtils


/**
 * Created by FTQ on 18/12/27.
 * glide必须的
 */
class MyAppGlideModule : GlideModule {
    override fun applyOptions(context: Context, builder: GlideBuilder) {
        LogUtils.e("MyAppGlideModule", "MyAppGlideModule applyOptions" + Comm.PATH_IMG_CACHE)
        builder.setDiskCache(DiskLruCacheFactory(Comm.PATH_IMG_CACHE, DiskCache.Factory.DEFAULT_DISK_CACHE_SIZE.toLong()))
    }

    override fun registerComponents(context: Context, glide: Glide, registry: Registry) {
    }

}