package com.gfeng.daydaycook.search.adapter

import android.view.View
import android.widget.TextView
import com.chad.library.adapter.base.BaseQuickAdapter
import com.chad.library.adapter.base.BaseViewHolder
import com.gfeng.daydaycook.R
import com.gfeng.daydaycook.search.entity.SearchMindModel
import com.gfeng.daydaycook.util.SpannableStringUtil

class SearchMindAdapter (layoutResId: Int) : BaseQuickAdapter<SearchMindModel.Data, BaseViewHolder>(layoutResId) {

    override fun convert(helper: BaseViewHolder, item: SearchMindModel.Data) {
        val tv_title = helper.getView<TextView>(R.id.tv_title)
        val tv_count = helper.getView<TextView>(R.id.tv_count)

//        tv_title.text=item.name
        SpannableStringUtil.setText(tv_title,item.name,item.keyName)
        if(item.resultQuantity==null||item.resultQuantity==0L){
            tv_count.visibility= View.GONE
        }else{
            tv_count.visibility= View.VISIBLE

            var str = ""
            if(item.resultQuantity>=10000){
                str = ""+item.resultQuantity/10000+"万+篇内容"
            }else{
                str = ""+item.resultQuantity+"篇内容"
            }
            tv_count.text=str
        }
    }
}
